export declare const Role: {
    type: string;
    description: string;
    enum: string[];
};
export declare const ActionArray: {
    type: string;
    items: {
        $ref: string;
    };
};
export declare const Action: {
    properties: {
        command: {
            $ref: string;
            description: string;
        };
        commands: {
            $ref: string;
            description: string;
        };
        enabled: {
            type: string;
            description: string;
        };
        label: {
            type: string;
            description: string;
        };
        name: {
            type: string;
            description: string;
        };
    };
    additionalProperties: boolean;
    required: string[];
};
export declare const Url: {
    type: string;
};
export declare const UrlWithHeaders: {
    type: string;
    properties: {
        url: {
            type: string;
        };
        headers: {
            $ref: string;
        };
        description: {
            type: string;
        };
    };
    required: string[];
    additionalProperty: boolean;
};
export declare const Source: {
    oneOf: ({
        type: string;
    } | {
        type: string;
        items: {
            oneOf: {
                type: string;
            }[];
        };
    })[];
};
